# Search events

### Search events

`POST /api/v1/events/search`

Operation ID: `searchEvents`

**Request body** (required)

- `types` ("lead_enrolled" | "lead_skipped" | "message_generated" | "task_skipped" | "task_failed" | "enrollment_completed" | "enrollment_stopped" | "lead_suppressed" | "account_paused" | "campaign_status_changed" | "linkedin_profile_visited" | "linkedin_invite_sent" | "linkedin_invite_withdrawn" | "linkedin_message_sent" | "linkedin_follow_sent" | "linkedin_unfollowed" | "linkedin_invite_accepted" | "linkedin_message_received" | "linkedin_account_status_changed" | "instagram_message_sent" | "instagram_profile_visited" | "instagram_follow_sent" | "instagram_unfollowed" | "instagram_message_received" | "instagram_account_status_changed"[], optional)
- `channel` ("linkedin" | "instagram", optional)
- `campaignId` (string · uuid, optional)
- `leadId` (string · uuid, optional)
- `accountId` (string · uuid, optional)
- `from` (string · date, optional)
- `to` (string · date, optional)
- `cursor` (string, optional)
- `limit` (integer, optional)

**200**: A page of events, newest first. Filter by campaign, lead, account, type, channel, or date. Pass nextCursor as cursor for the next page.

- `events` (object[], required)
- `nextCursor` (string | null, required)

**Errors**

- `400`: Bad request
- `401`: Unauthorized: missing or invalid API key
- `403`: Forbidden
- `404`: Not found
- `422`: Invalid request payload
